## org.eclipse.jetty.server.ssl
Class SslSocketConnector.SslConnectorEndPoint

    java.lang.Object
      org.eclipse.jetty.io.bio.StreamEndPoint
          org.eclipse.jetty.io.bio.SocketEndPoint
              org.eclipse.jetty.server.bio.SocketConnector.ConnectorEndPoint
                  org.eclipse.jetty.server.ssl.SslSocketConnector.SslConnectorEndPoint

All Implemented Interfaces:
  Runnable, ConnectedEndPoint, EndPoint

Enclosing class:
  SslSocketConnector

    public class SslSocketConnector.SslConnectorEndPoint

extends SocketConnector.ConnectorEndPoint

Field Summary

Fields inherited from class org.eclipse.jetty.server.bio.SocketConnector.ConnectorEndPoint
`_socket`

Constructor Summary
`SslSocketConnector.SslConnectorEndPoint(Socket socket)`

Method Summary
`void` `run()`
`void` `shutdownOutput()` Shutdown any backing output stream associated with the endpoint

Methods inherited from class org.eclipse.jetty.server.bio.SocketConnector.ConnectorEndPoint
`close, dispatch, fill, getConnection, setConnection`

Methods inherited from class org.eclipse.jetty.io.bio.SocketEndPoint
`getLocalAddr, getLocalHost, getLocalPort, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isOpen, setMaxIdleTime`

Methods inherited from class org.eclipse.jetty.io.bio.StreamEndPoint
`blockReadable, blockWritable, flush, flush, flush, getInputStream, getMaxIdleTime, getOutputStream, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isClosed, setInputStream, setOutputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.io.EndPoint
`blockReadable, blockWritable, flush, flush, flush, getLocalAddr, getLocalHost, getLocalPort, getMaxIdleTime, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isOpen, setMaxIdleTime`

Constructor Detail

### SslSocketConnector.SslConnectorEndPoint

    public SslSocketConnector.SslConnectorEndPoint(Socket socket)
                                            throws IOException

Throws:
  `IOException`

Method Detail

### shutdownOutput

    public void shutdownOutput()
                        throws IOException

  Description copied from interface: `EndPoint`
  Shutdown any backing output stream associated with the endpoint

  Specified by:
    `shutdownOutput` in interface `EndPoint`
  Overrides:
    `shutdownOutput` in class `SocketEndPoint`
  Throws:
    `IOException`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `SocketConnector.ConnectorEndPoint`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.